std::ranges::bidirectional_range(3cxx)

NAME
std::ranges::bidirectional_range - A range for which ranges::begin returns a bidirectional iterator.

SYNOPSIS

#include <ranges_base.h>

Concept definition

template<typename _Tp>
concept std::ranges::bidirectional_range =  forward_range<_Tp> && bidirectional_iterator<iterator_t<_Tp>>

Detailed Description

A range for which ranges::begin returns a bidirectional iterator.

Author

Generated automatically by Doxygen for libstdc++ from the source code.